<?php
/**
 * Customiser section for support
 **/
// Start Support section 
$wp_customize->add_section(
    'lz_fitness_featured_section',
    array(
        'title' => __( 'Featured Section', 'gurukul' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE SUPPORT SECTION
$wp_customize->add_setting(
    'lz_fitness_featured_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_featured_section_disable',
        array(
            'settings'      => 'lz_fitness_featured_section_disable',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Disable Section', 'gurukul' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'gurukul' ),
                'off' => __( 'No', 'gurukul' )
            ),
        )
    )
);

// backgroundManager($wp_customize, 'featured', 'lz_fitness_featured_section', $color='#ffffff', get_template_directory_uri().'/images/aboutbanner.png', 'img');

backgroundManager($wp_customize, 'featured', 'lz_fitness_featured_section', $color='#ffffff');



$wp_customize->add_setting(
    'lz_fitness_featured_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
   new lz_fitness_Customize_Heading(
    $wp_customize,
        'lz_fitness_featured_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_featured_title_sub_title_heading',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Section Title & Sub Title', 'lz_fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting(
   'lz_fitness_featured_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'OUR FEATURES', 'lz_fitness-premium' )
    )
); 
$wp_customize->add_control(
    'lz_fitness_featured_title',
    array(
        'settings'      => 'lz_fitness_featured_title',
       'section'       => 'lz_fitness_featured_section',
       'type'          => 'text',
        'label'         => __( 'Title', 'lz_fitness-premium' )
    )
);
$wp_customize->add_setting(
    'lz_fitness_featured_sub_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'There are many variations passes Lorem Ipsum available but the majority have suffered alteation some form.', 'lz_fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_sub_title',
    array(
        'settings'      => 'lz_fitness_featured_sub_title',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'textarea',
        'label'         => __( 'Sub Title', 'lz_fitness-premium' ),
    )
);
    
   

$wp_customize->add_setting('lz_fitness_featured_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_featured_npp_heading',
        array(
            'settings'      => 'lz_fitness_featured_npp_heading',
            'section'       => 'lz_fitness_featured_section',
            'label'         => __( 'Number Of Feature Plans', 'gurukul' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_featured_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'lz_fitness_featured_npp_count',
    array(
        'settings'      => 'lz_fitness_featured_npp_count',
        'section'       => 'lz_fitness_featured_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'gurukul' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//featured PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_featured_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featured_header'.$i,
            array(
                'settings'      => 'lz_fitness_featured_header'.$i,
                'section'       => 'lz_fitness_featured_section',
                'label'         => __( 'featured Page ', 'gurukul' ).$i
            )
        )
    );

    
    lzAddElement($wp_customize, 'lz_fitness_featured_page_title_'.$i, 'lz_fitness_featured_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Inside Our Studio');
    lzAddElement($wp_customize, 'lz_fitness_featured_page_desc_'.$i, 'lz_fitness_featured_section', $type = 'textarea', $label="Description", $callback ='lz_fitness_sanitize_text', $default='There are many vartins passes Lorem Ipsum available but the majority have suffered alteation some form, injected humour, or randosed words which look even slightly believable.');
  /*$wp_customize->add_setting(
        'theme_eye_support_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'theme_eye_support_page'.$i,
        array(
            'settings'      => 'theme_eye_support_page'.$i,
            'section'       => 'theme_eye_support_section',
            'type'          => 'dropdown-pages',
            'label'         => __( 'Select a Page', 'theme-eye-premium' )
        )
    );*/
    $wp_customize->add_setting(
        'lz_fitness_featured_page_icon'.$i,
        array(
            'default'           => 'fa fa-home',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'lz_fitness_featured_page_icon'.$i,
            array(
                'settings'      => 'lz_fitness_featured_page_icon'.$i,
                'section'       => 'lz_fitness_featured_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'gurukul' ),
            )
        )
    );  
    
}
 // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_HeadingColor', 'lz_fitness_featured_section', 'Heading color ', '#ffffff');
    // sub title color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_mMainHeadingsubheadingColor', 'lz_fitness_featured_section', 'Sub Heading color ', '#212121');
    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_spanHeadingColor', 'lz_fitness_featured_section', 'Heading Background color', '#69489d');
    // outline color color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_spanoulineHeadingColor', 'lz_fitness_featured_section', 'Outline Color', '#69489d');

   // title color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_mMainHeadingColor', 'lz_fitness_featured_section', 'Title color ', '#212121');
    
 // subheading color
    addColorPalatOption($wp_customize, 'lz_fitness_featured_TextColor', 'lz_fitness_featured_section', 'Text color ', '#212121');
 // icon color
   addColorPalatOption($wp_customize, 'lz_fitness_featured_MainHeadingColor', 'lz_fitness_featured_section', 'Icon color ', '#757575');
       
// End featured section 